This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 849971 - [RHEVM] [backend] [Host Networking] DC/CL 3.0 cannot create bond when one interface has network already attached
[RHEVM] [backend] [Host Networking] DC/CL 3.0 cannot create bond when one int...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Mike Kolesnik
Martin Pavlik
network
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 07:37 EDT by Martin Pavlik
Modified: 2016-02-10 14:48 EST (History)
13 users (show)

See Also:
Fixed In Version: si16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 840888
Environment:
Last Closed: 2012-12-04 15:07:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
vdsm.log + engine.log (7.78 KB, application/x-gzip)
2012-08-21 07:40 EDT, Martin Pavlik
no flags Details
screenshot 1 (246.63 KB, image/png)
2012-08-21 07:40 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-08-21 07:37:46 EDT
Description of problem:
DC/CL 3.0 cannot create bond when one interface has network already attached (configured with static IP) (see screenshot)

Following error appears:

Error:

dell-r210ii-05.rhev.lab.eng.brq.redhat.com:

    Previous network name is required.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: '3.1.0-12.el6ev' 

How reproducible:
always

Steps to Reproduce:
1. add host with 3 NICs into 3.0 cluster
2. create required logical network and assign it to one host NIC
3. try to bond NIC from step 2 with another NIC 
  
Actual results:
Error message appears

Expected results:
Bond is created

Additional info:

2012-08-21 13:33:13,275 WARN  [org.ovirt.engine.core.bll.UpdateNetworkToVdsInterfaceCommand] (ajp-/127.0.0.1:8009-2) [88ac678] CanDoAction of action UpdateNetworkToVdsInterface failed. Reasons:NETWROK_OLD_NETWORK_NOT_SPECIFIED
Comment 1 Martin Pavlik 2012-08-21 07:40:03 EDT
Created attachment 605915 [details]
vdsm.log + engine.log
Comment 2 Martin Pavlik 2012-08-21 07:40:41 EDT
Created attachment 605916 [details]
screenshot 1
Comment 3 Martin Pavlik 2012-08-21 07:48:46 EDT
problem appears if you try to bond unassigned NIC with NIC which has VLAN assigned
Comment 4 Moti Asayag 2012-08-21 07:50:14 EDT
The bug resides on UpdateNetworkToVdsInterfaceCommand.canDoAction()

The parameters class contains the list of slave-interfaces and the bond name (in case and the use-case is bonding of nics which one of them has network attached to it).

A new validation should be added to verify no more than one network is attached to any of the provided interfaces. 

The attached network name should be referred as the 'old-network-name' to be sent to VDSM for removal.
Comment 6 Mike Kolesnik 2012-08-23 03:37:22 EDT
http://gerrit.ovirt.org/#/c/7410/

Note You need to log in before you can comment on or make changes to this bug.